---
title: DOMPointInit.z
slug: Web/API/DOMPointInit/z
tags:
  - API
  - Coordinates
  - DOM
  - DOMPointInit
  - Geometry
  - Geometry Interfaces
  - Point
  - Property
  - Reference
  - z
---
<div>{{APIRef("DOM")}}</div>

<p><span class="seoSummary">The <strong>{{domxref("DOMPointInit")}}</strong> dictionary's <code><strong>z</strong></code> property is used to specify the <em>z</em>-coordinate of a point in 2D or 3D space when either creating or serializing to JSON a {{domxref("DOMPoint")}} or {{domxref("DOMPointReadOnly")}} object.</span></p>

<p>Typically, a <code>z</code> value of 0 represents the plane of the screen. As the value increases, the point moves outward from the screen toward the user. As the value decreases, the point moves farther from the user, with negative values being behind the screen, receding into the distance.</p>

<p>Of course, if <a href="/en-US/docs/Web/CSS/CSS_Transforms">transforms</a> have been applied, the axes may have changed orientation.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <em>DOMPointInit</em> = {
  z: <em>zPos</em>
};

<em>DOMPointInit</em>.z = <em>zPos</em>;

var <em>zPos</em> = <em>DOMPointInit</em>.z;</pre>

<h3 id="Value">Value</h3>

<p>A double-precision floating-point value indicating the point's <em>z</em>-coordinate. This value is <strong>unrestricted</strong>, meaning that it is allowed to be infinite or invalid (that is, its value may be {{jsxref("NaN")}} or {{jsxref("Infinity", "±Infinity")}}).</p>

<p>There are two methods which use <code>DOMPointInit</code>:</p>

<ul>
 <li>The static function {{domxref("DOMPointReadOnly.fromPoint()")}} takes an object that complies with <code>DOMPointInit</code> as its sole input parameter, to specify the coordinates and perspective value of the new point to be created. This method is, by inheritance, also available as {{domxref("DOMPoint.fromPoint()")}}.</li>
 <li>The {{domxref("DOMPointReadOnly.toJSON()")}} method returns a <code>DOMPointInit</code> object that describes the same point as the original point. By inheritance, this method is also available as {{domxref("DOMPoint.toJSON()")}}.</li>
</ul>

<p>If this property is missing when the <code>DOMPointInit</code> object is passed into <code>fromPoint()</code>, the value is assumed to be 0 by default.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Geometry Interfaces', '#dom-dompointinit-z', 'z')}}</td>
   <td>{{Spec2('Geometry Interfaces')}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.DOMPointInit.z")}}</p>
